<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Number Facts</title>
  <!-- Bootstrap 4 Beta -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
</head>
<body class="bg-dark">
  <div class="container">
    <div class="row">
      <div class="card text-white bg-primary col-6 mx-auto mt-5 p-3">
        <div class="card-body">
          <h4 class="card-title">Number Facts</h4>
          <input id="numberInput" type="number" class="form-control" placeholder="Enter a number here...">
          <p id="fact" class="card-text mt-3"></p>
        </div>
      </div>
    </div>
  </div>

  <script type="text/javascript">
    // DOM Manipulation
    let numberInput = document.getElementById('numberInput');
    let fact = document.getElementById('fact');

    numberInput.addEventListener('input', getFactFetch);

    function getFactFetch() {
      let number = numberInput.value;
      if (number != '') {
        fetch('http://numbersapi.com/'+number)
        .then(response => response.text())
        .then(data => {
          fact.innerText = data;
        });
      }
    }

    
  </script>
  <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.11.0/umd/popper.min.js" integrity="sha384-b/U6ypiBEHpOf/4+1nzFpr53nxSS+GLCkfwBdFNTxtclqqenISfwAzpKaMNFNmj4" crossorigin="anonymous"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/js/bootstrap.min.js" integrity="sha384-h0AbiXch4ZDo7tp9hKZ4TsHbi047NrKGLO3SEJAg45jXxnGIfYzk4Si90RDIqNm1" crossorigin="anonymous"></script>
</body>
</html>
